#
# spec file for package ghc-lifted-async
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name lifted-async
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.10.2.2
Release:        bp155.2.16
Summary:        Run lifted IO operations asynchronously and wait for their results
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-constraints-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-base-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-expected-failure-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-th-devel
%endif

%description
This package provides IO operations from 'async' package lifted to any instance
of 'MonadBase' or 'MonadBaseControl'.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Wed Nov  3 2021 psimons@suse.com
- Update lifted-async to version 0.10.2.2.
  [#]# v0.10.2.2 - 2021-11-02
  * Allow base-4.17 for GHC 9.2.1 ([#37](https://github.com/maoe/lifted-async/pull/37))
* Fri Jul 23 2021 psimons@suse.com
- Update lifted-async to version 0.10.2.1.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/lifted-async-0.10.2.1/src/CHANGELOG.md
* Mon Apr  5 2021 psimons@suse.com
- Update lifted-async to version 0.10.2.
  [#]# v0.10.2 - 20201-04-02
  * Define withAsync in terms of corresponding function from async ([#36](https://github.com/maoe/lifted-async/pull/36))
  * Fixes [#34](https://github.com/maoe/lifted-async/issues/34)
* Sat Feb 27 2021 psimons@suse.com
- Update lifted-async to version 0.10.1.3.
  [#]# v0.10.1.3 - 2021-02-26
  * Support GHC 9.0.1 ([#33](https://github.com/maoe/lifted-async/pull/33))
  * Switch from Travis CI to GitHub Actions
  * Switch from criterion to tasty-bench
* Tue Feb 23 2021 Ondřej Súkup <mimi.vx@gmail.com>
- relax dep on constraints
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Fri Jul 24 2020 psimons@suse.com
- Update lifted-async to version 0.10.1.2.
  [#]# v0.10.1.2 - 2020-07-23
  * Relax upper version bound for tasty-expected-failure
* Tue Jun 30 2020 psimons@suse.com
- Update lifted-async to version 0.10.1.1.
  [#]# v0.10.1.1 - 2020-06-29
  * Bump up cabal-version to 1.24
  [#]# v0.10.1 - 2020-06-29
  * Fix typechecking errors with GHC HEAD 8.11 ([#31](https://github.com/maoe/lifted-async/pull/31))
* Tue Jun  9 2020 psimons@suse.com
- Add lifted-async at version 0.10.0.6.
